###################################################
### chunk number 1: 
###################################################
options(width=90)


###################################################
### chunk number 2: install_CHNOSZ eval=FALSE
###################################################
## install.packages("CHNOSZ")


###################################################
### chunk number 3: library_CHNOSZ
###################################################
library(CHNOSZ)


###################################################
### chunk number 4: thermo_opt_online
###################################################
thermo$opt$online <- TRUE


###################################################
### chunk number 5: info_ethylene
###################################################
info("ethylene")


###################################################
### chunk number 6: info_88
###################################################
info(88)


###################################################
### chunk number 7: info_ethylene_gas
###################################################
info("ethylene","gas")


###################################################
### chunk number 8: info_acetic
###################################################
aadata <- info(info("acetic acid"))
print(aadata)


###################################################
### chunk number 9: summary_thermo
###################################################
summary(thermo)


###################################################
### chunk number 10: thermo_source
###################################################
ts <- thermo$source
ts[ts$source==aadata$source1,]


###################################################
### chunk number 11: info_acid
###################################################
info("acid")


###################################################
### chunk number 12: info_spaceacid
###################################################
info(" acid")


###################################################
### chunk number 13: info_OH
###################################################
info("(OH)")


###################################################
### chunk number 14: protein_LYSC
###################################################
protein("LYSC_CHICK")
protein(6)


###################################################
### chunk number 15: info_LYSC
###################################################
info("LYSC_CHICK")
info(2812)


###################################################
### chunk number 16: subcrt_water
###################################################
subcrt("water")


###################################################
### chunk number 17: subcrt_C2H5OH
###################################################
subcrt(c("C2H5OH","O2","CO2","H2O"),c(-1,-3,2,3),T=37)


###################################################
### chunk number 18: subcrt_C2H5OH_T37
###################################################
subcrt(c("C2H5OH","O2","CO2","H2O"),c(-1,-3,2,3),c("liq","aq","aq","liq"),T=37)


###################################################
### chunk number 19: subcrt_C2H5OH_unbal
###################################################
subcrt(c("C2H5OH","CO2","H2O"),c(-1,2,3),T=37)


###################################################
### chunk number 20: basis_not eval=FALSE
###################################################
## basis(c("CO2","H2O","NH3","H2S","H+"))


###################################################
### chunk number 21: basis
###################################################
basis(c("CO2","H2O","NH3","O2","H2S","H+"))


###################################################
### chunk number 22: subcrt_C2H5OH_auto
###################################################
subcrt(c("C2H5OH","CO2","H2O"),c(-1,2,3),T=37)


###################################################
### chunk number 23: subcrt_C2H5OH
###################################################
subcrt(c("C2H5OH"),c(-1),T=37)


###################################################
### chunk number 24: subcrt_ethanol
###################################################
subcrt(c("ethanol","acetaldehyde"),c(-1,1),T=37)


###################################################
### chunk number 25: subcrt_acetaldehyde
###################################################
data(thermo)
basis(c("glycine","alanine","lysine","glutamic acid","cysteine","H+"))
subcrt(c("ethanol","acetaldehyde"),c(-1,1),T=37)


###################################################
### chunk number 26: subcrt_LYSC
###################################################
data(thermo)
basis("CHNOS+")
subcrt("LYSC_CHICK",1,T=25)


###################################################
### chunk number 27: subcrt_ALAT1 eval=FALSE
###################################################
## subcrt("ALAT1_HUMAN",1,T=25)


###################################################
### chunk number 28: 
###################################################
basis("CHNOS+")


###################################################
### chunk number 29: 
###################################################
species(c("CSG_METJA","CSG_METVO","CSG_HALJP"))


###################################################
### chunk number 30: 
###################################################
a <- affinity(O2=c(-80,-65))


###################################################
### chunk number 31: CSG_diagram
###################################################
diagram(a,legend.x="bottomleft")


###################################################
### chunk number 32: PredominanceDiagram
###################################################
species(c("CSG_METSC","CSG_METFE","CSG_METBU"))
species(c("SLAP_ACEKI","SLAP_BACST","SLAP_BACLI","SLAP_AERSA"))
a <- affinity(O2=c(-90,-70),H2O=c(-15,0))
diagram(a)


###################################################
### chunk number 33: Bowers
###################################################
basis(c("HCl","H2O","Ca+2","CO2","Mg+2","SiO2","O2","H+"),
  c(999,0,999,999,999,999,999,-7))
species(c("quartz","talc","forsterite","tremolite","diopside",
  "wollastonite","monticellite","merwinite"))
a <- affinity("Mg+2"=c(-12,-4),"Ca+2"=c(-8,0),T=300,P=1000)
diagram(a)


###################################################
### chunk number 34: example_diagram eval=FALSE
###################################################
## example(diagram)


###################################################
### chunk number 35: examples eval=FALSE
###################################################
## examples()


###################################################
### chunk number 36: system.file
###################################################
system.file(package="CHNOSZ")


###################################################
### chunk number 37: session_info
###################################################

sessionInfo()



